## libplacebo-dmo 3.120.3

=== meson_options.txt ===
# Optional components
option('vulkan', type: 'feature', value: 'auto',
       description: 'Vulkan-based renderer')

option('vulkan-link', type: 'boolean', value: true,
       description: 'Link directly againt vkGetInstanceProcAddr from libvulkan.so')

option('vulkan-registry', type: 'string', value: '',
       description: 'Path to vulkan XML registry (for code generation)')

option('opengl', type: 'feature', value: 'auto',
       description: 'OpenGL-based renderer')

option('glslang', type: 'feature', value: 'auto',
       description: 'glslang SPIR-V compiler')

option('shaderc', type: 'feature', value: 'auto',
       description: 'libshaderc SPIR-V compiler')

option('lcms', type: 'feature', value: 'auto',
       description: 'LittleCMS 2 support')

# Miscellaneous
option('demos', type: 'boolean', value: true,
       description: 'Enable building (and installing) the demo programs')

option('tests', type: 'boolean', value: false,
       description: 'Enable building the test cases')

option('bench', type: 'boolean', value: false,
       description: 'Enable building benchmarks (`meson test benchmark`)')

option('fuzz', type: 'boolean', value: false,
       description: 'Enable building fuzzer binaries (`CC=afl-cc`)')

=== debian/changelog ===
libplacebo-dmo (2:3.120.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 May 2021 16:39:31 +0200

libplacebo-dmo (2:3.120.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Apr 2021 16:31:46 +0200

libplacebo-dmo (2:3.120.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Apr 2021 12:41:25 +0200

libplacebo-dmo (2:3.104.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Jan 2021 19:46:06 +0100

libplacebo-dmo (2:2.72.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Nov 2020 12:50:37 +0100

libplacebo-dmo (2:2.72.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Nov 2020 09:00:37 +0100

libplacebo-dmo (2:2.72.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 12 Jun 2020 07:31:18 +0200

libplacebo-dmo (2:2.43.1-dmo3) unstable; urgency=medium

  * Remove not needed spirv-tools dependency.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Jun 2020 15:47:35 +0200

libplacebo-dmo (2:2.43.1-dmo2) unstable; urgency=medium

  * Build with static spirv-tools

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Jun 2020 15:30:55 +0200

libplacebo-dmo (2:2.43.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 May 2020 01:23:16 +0200

libplacebo-dmo (2:2.43.0-dmo2) unstable; urgency=medium

  * libplacebo-dev package should depends on libepoxy-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Apr 2020 15:40:37 +0200

libplacebo-dmo (2:2.43.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 22 Apr 2020 10:36:18 +0200

libplacebo-dmo (2:1.29.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Dec 2019 09:41:47 +0100

libplacebo-dmo (2:1.29.0-dmo3) unstable; urgency=medium

  * Also add spirv-tools to libplacebo29

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Dec 2019 10:34:41 +0100

libplacebo-dmo (2:1.29.0-dmo2) unstable; urgency=medium

  * libplacebo-dev should depends on spirv-tools

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Dec 2019 10:02:36 +0100

libplacebo-dmo (2:1.29.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Dec 2019 08:34:23 +0100

libplacebo-dmo (2:1.21.0-dmo2) unstable; urgency=medium

  * Add support for libplacebo-vlc3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Nov 2019 08:11:55 +0100

libplacebo-dmo (2:1.21.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Oct 2019 16:27:19 +0200

libplacebo-dmo (2:0.2.1-dmo1) unstable; urgency=medium

  * Back to 0.2 branch. 0.3.0 is broken and 0.4.0 unsupported by VLC.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Feb 2018 14:06:50 +0100

libplacebo (1:0.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Feb 2018 09:37:57 +0100

libplacebo (1:0.2.0-dmo1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Feb 2018 23:49:40 +0100

libplacebo (0.2.0-2) unstable; urgency=medium

  * debian/patches:
    - Do not require git to build.
    - Update some vulkan parts.
  * debian/control:
    - Bump B-D on libvulkan-dev to 1.0.42.
    - Drop git B-D.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Jan 2018 15:10:13 +0100

libplacebo (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #886014)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 04 Jan 2018 21:09:04 +0100

=== debian/control ===
Source: libplacebo-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/haasn/libplacebo
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), meson, ninja-build, liblcms2-dev,
 libvulkan-dev (>= 1.0.42), glslang-dev, spirv-tools (>= 2020.3~), pkg-config,
 libepoxy-dev, python3-mako, python3-setuptools

Package: libplacebo120
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GPU-accelerated video/image rendering primitives (shared library)
 The library provides useful GPU-accelerated image processing primitives
 based on GLSL. It includes shader routines for decoding and transforming
 colors, tone mapping, dithering, and for various algorithms that sample
 from images, such as debanding and scaling.
 .
 This package contains the shared library.

Package: libplacebo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplacebo120 (= ${binary:Version}), ${misc:Depends}, liblcms2-dev, libvulkan-dev, libepoxy-dev
Conflicts: libplacebo-vlc3-dev
Replaces: libplacebo-vlc3-dev
Description: GPU-accelerated video/image rendering primitives (development files)
 The library provides useful GPU-accelerated image processing primitives
 based on GLSL. It includes shader routines for decoding and transforming
 colors, tone mapping, dithering, and for various algorithms that sample
 from images, such as debanding and scaling.
 .
 This package contains the development files.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ -Smeson

override_dh_auto_configure:
	dh_auto_configure -- \
	-Dtests=false

override_dh_install:
	${RM} debian/tmp/usr/bin/plplay


	dh_install

=== debian/watch ===
version=4

###opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libplacebo-$1.tar.gz%"

https://github.com/haasn/libplacebo/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## libplacebo-dmo 5.264.1

=== debian/changelog ===
libplacebo-dmo (2:5.264.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Mar 2023 16:21:24 +0100

libplacebo-dmo (2:5.264.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Mar 2023 14:27:36 +0100

libplacebo-dmo (2:5.229.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Jan 2023 17:46:33 +0100

libplacebo-dmo (2:5.229.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Nov 2022 01:10:54 +0100

libplacebo-dmo (2:5.229.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Oct 2022 15:02:47 +0200

libplacebo-dmo (2:4.208.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Jul 2022 07:28:59 +0200

libplacebo-dmo (2:4.192.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Feb 2022 21:08:58 +0100

libplacebo-dmo (2:4.192.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Jan 2022 14:07:21 +0100

libplacebo-dmo (2:4.157.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Sep 2021 11:10:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/haasn/libplacebo
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), meson, ninja-build, liblcms2-dev,
- libvulkan-dev (>= 1.0.42), glslang-dev, spirv-tools (>= 2020.3~), pkg-config,
- libepoxy-dev, python3-mako, python3-setuptools
+ libvulkan-dev (>= 1.0.42), glslang-dev, spirv-tools (>= 2020.3~), pkgconf,
+ libepoxy-dev, python3-mako, python3-setuptools, libunwind-dev, libglfw3-dev,
+ libavcodec-dev, libavformat-dev, libsdl2-image-dev, libspirv-cross-c-shared-dev,
+ python3-glad (>= 2.0.0~)
 
-Package: libplacebo120
+Package: libplacebo264
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -26,7 +28,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libplacebo120 (= ${binary:Version}), ${misc:Depends}, liblcms2-dev, libvulkan-dev, libepoxy-dev
+Depends: libplacebo264 (= ${binary:Version}), ${misc:Depends}, libunwind-dev, liblcms2-dev, libvulkan-dev, libepoxy-dev
 Conflicts: libplacebo-vlc3-dev
 Replaces: libplacebo-vlc3-dev
 Description: GPU-accelerated video/image rendering primitives (development files)

## libplacebo-dmo 7.349.0

=== debian/changelog ===
libplacebo-dmo (2:7.349.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Sep 2024 14:57:21 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libavcodec-dev, libavformat-dev, libsdl2-image-dev, libspirv-cross-c-shared-dev,
  python3-glad (>= 2.0.0~)
 
-Package: libplacebo264
+Package: libplacebo349
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -28,7 +28,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libplacebo264 (= ${binary:Version}), ${misc:Depends}, libunwind-dev, liblcms2-dev, libvulkan-dev, libepoxy-dev
+Depends: libplacebo349 (= ${binary:Version}), ${misc:Depends}, libunwind-dev, liblcms2-dev, libvulkan-dev, libepoxy-dev
 Conflicts: libplacebo-vlc3-dev
 Replaces: libplacebo-vlc3-dev
 Description: GPU-accelerated video/image rendering primitives (development files)

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+	-Ddemos=false \
 	-Dtests=false
 
 override_dh_install:

## libplacebo-dmo 7.351.0

=== debian/changelog ===
libplacebo-dmo (2:7.351.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 May 2025 22:56:45 +0200

libplacebo-dmo (2:7.349.0-dmo6) unstable; urgency=medium

  * Build without libunwind

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Mar 2025 08:20:18 +0100

libplacebo-dmo (2:7.349.0-dmo5) unstable; urgency=medium

  * libplacebo-dev should depends on libdovi-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Mar 2025 19:54:17 +0100

libplacebo-dmo (2:7.349.0-dmo4) unstable; urgency=medium

  * Add libdovi-dev to Build-Depends
  * Add :native to python3-mako and python3-glad to fix crossbuilding

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 Mar 2025 12:32:52 +0100

libplacebo-dmo (2:7.349.0-dmo3) unstable; urgency=medium

  * Remove libunwind-dev from Build-Depends and dependency from
    libplacebo-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Jan 2025 11:06:53 +0100

libplacebo-dmo (2:7.349.0-dmo2+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 31 Oct 2024 16:12:26 +0100

libplacebo-dmo (2:7.349.0-dmo2) unstable; urgency=medium

  * -dev package should depends on libshaderc-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jul 2024 17:46:14 +0200

libplacebo-dmo (2:7.349.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jul 2024 17:07:22 +0200

libplacebo-dmo (2:6.338.2-dmo2) unstable; urgency=medium

  * Fix build with glslang 14

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Feb 2024 09:35:28 +0100

libplacebo-dmo (2:6.338.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Jan 2024 00:47:48 +0100

libplacebo-dmo (2:6.338.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Oct 2023 15:20:06 +0200

libplacebo-dmo (2:6.338.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Sep 2023 19:46:50 +0200

libplacebo-dmo (2:6.292.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Aug 2023 00:15:47 +0200

libplacebo-dmo (2:6.292.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jul 2023 07:14:03 +0200

=== debian/control ===
Source: libplacebo-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/haasn/libplacebo
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), meson, ninja-build, liblcms2-dev,
 libvulkan-dev (>= 1.0.42), glslang-dev, spirv-tools (>= 2020.3~), pkgconf,
 libepoxy-dev, python3-mako:native, libglfw3-dev, libavcodec-dev,
 libavformat-dev, libspirv-cross-c-shared-dev, python3-glad:native (>= 2.0.0~),
 libxxhash-dev, libshaderc-dev, libdovi-dev,

#libsdl2-image-dev,

Package: libplacebo351
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: GPU-accelerated video/image rendering primitives (shared library)
 The library provides useful GPU-accelerated image processing primitives
 based on GLSL. It includes shader routines for decoding and transforming
 colors, tone mapping, dithering, and for various algorithms that sample
 from images, such as debanding and scaling.
 .
 This package contains the shared library.

Package: libplacebo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplacebo351 (= ${binary:Version}), ${misc:Depends}, libshaderc-dev, libvulkan-dev, liblcms2-dev, libdovi-dev,
Conflicts: libplacebo-vlc3-dev,
Replaces: libplacebo-vlc3-dev,
Description: GPU-accelerated video/image rendering primitives (development files)
 The library provides useful GPU-accelerated image processing primitives
 based on GLSL. It includes shader routines for decoding and transforming
 colors, tone mapping, dithering, and for various algorithms that sample
 from images, such as debanding and scaling.
 .
 This package contains the development files.

=== debian/watch ===
version=4

###opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libplacebo-$1.tar.gz%"

opts=repack \
https://github.com/haasn/libplacebo/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## libplacebo-dmo 7.360.0

=== debian/changelog ===
libplacebo-dmo (2:7.360.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Feb 2026 17:44:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: libplacebo-dmo
 Section: libs
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/haasn/libplacebo
-Standards-Version: 4.7.2
-Build-Depends: debhelper-compat (= 13), meson, ninja-build, liblcms2-dev,
- libvulkan-dev (>= 1.0.42), glslang-dev, spirv-tools (>= 2020.3~), pkgconf,
- libepoxy-dev, python3-mako:native, libglfw3-dev, libavcodec-dev,
+Standards-Version: 4.7.3
+Build-Depends: debhelper-compat (= 13), meson, liblcms2-dev, pkgconf,
+ libvulkan-dev (>= 1.0.42), spirv-tools (>= 2020.3~), pkgconf,
+ libepoxy-dev, python3-mako:native, libglfw3-dev, libavcodec-dev, libdovi-dev,
  libavformat-dev, libspirv-cross-c-shared-dev, python3-glad:native (>= 2.0.0~),
- libxxhash-dev, libshaderc-dev, libdovi-dev,
+ libxxhash-dev, libshaderc-dev,
 
-#libsdl2-image-dev,
-
-Package: libplacebo351
+Package: libplacebo360
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
@@ -29,7 +26,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libplacebo351 (= ${binary:Version}), ${misc:Depends}, libshaderc-dev, libvulkan-dev, liblcms2-dev, libdovi-dev,
+Depends: libplacebo360 (= ${binary:Version}), ${misc:Depends}, libshaderc-dev, libvulkan-dev, liblcms2-dev, libdovi-dev,
 Conflicts: libplacebo-vlc3-dev,
 Replaces: libplacebo-vlc3-dev,
 Description: GPU-accelerated video/image rendering primitives (development files)

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ -Smeson

override_dh_auto_configure:
	dh_auto_configure -- \
	-D demos=false \
	-D tests=false \
	-D unwind=disabled

#	exit 1

override_dh_install:
	${RM} debian/tmp/usr/bin/plplay

	dh_install

execute_after_dh_clean:

	-rm -rf tools/glsl_preproc/__pycache__

=== debian/watch ===
version=4

###opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libplacebo-$1.tar.gz%"

https://github.com/haasn/libplacebo/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
